Generation Framework

## org.eclipse.gmf.tooldef
Enum ActionKind

    java.lang.Object
      java.lang.Enum<ActionKind>
          org.eclipse.gmf.tooldef.ActionKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ActionKind>, org.eclipse.emf.common.util.Enumerator

    public enum ActionKind

extends java.lang.Enum<ActionKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Action Kind', and utility methods for working with them.

See Also:
  `GMFToolPackage.getActionKind()`
** Generated **
Model:

Enum Constant Summary
`CREATE_LITERAL` The 'CREATE' literal object
`CUSTOM_LITERAL` The 'CUSTOM' literal object
`MODIFY_LITERAL` The 'MODIFY' literal object
`PROCESS_LITERAL` The 'PROCESS' literal object
`PROPCHANGE_LITERAL` The 'PROPCHANGE' literal object

Field Summary
`static int` `CREATE` The 'CREATE' literal value
`static int` `CUSTOM` The 'CUSTOM' literal value
`static int` `MODIFY` The 'MODIFY' literal value
`static int` `PROCESS` The 'PROCESS' literal value
`static int` `PROPCHANGE` The 'PROPCHANGE' literal value
`static java.util.List<ActionKind>` `VALUES` A public read-only list of all the 'Action Kind' enumerators

Method Summary
`static ActionKind` `get(int value)` Returns the 'Action Kind' literal with the specified integer value
`static ActionKind` `get(java.lang.String literal)` Returns the 'Action Kind' literal with the specified literal value
`static ActionKind` `getByName(java.lang.String name)` Returns the 'Action Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ActionKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ActionKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE_LITERAL

    public static final ActionKind CREATE_LITERAL

  The 'CREATE' literal object.

  See Also:
    `CREATE`
  ** Generated **
  Ordered:

### PROPCHANGE_LITERAL

    public static final ActionKind PROPCHANGE_LITERAL

  The 'PROPCHANGE' literal object.

  See Also:
    `PROPCHANGE`
  ** Generated **
  Ordered:

### MODIFY_LITERAL

    public static final ActionKind MODIFY_LITERAL

  The 'MODIFY' literal object.

  See Also:
    `MODIFY`
  ** Generated **
  Ordered:

### PROCESS_LITERAL

    public static final ActionKind PROCESS_LITERAL

  The 'PROCESS' literal object.

  See Also:
    `PROCESS`
  ** Generated **
  Ordered:

### CUSTOM_LITERAL

    public static final ActionKind CUSTOM_LITERAL

  The 'CUSTOM' literal object.

  See Also:
    `CUSTOM`
  ** Generated **
  Ordered:

Field Detail

### CREATE

    public static final int CREATE

  The 'CREATE' literal value.

  If the meaning of 'CREATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CREATE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### PROPCHANGE

    public static final int PROPCHANGE

  The 'PROPCHANGE' literal value.

  If the meaning of 'PROPCHANGE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROPCHANGE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### MODIFY

    public static final int MODIFY

  The 'MODIFY' literal value.

  If the meaning of 'MODIFY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MODIFY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### PROCESS

    public static final int PROCESS

  The 'PROCESS' literal value.

  If the meaning of 'PROCESS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROCESS_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### CUSTOM

    public static final int CUSTOM

  The 'CUSTOM' literal value.

  If the meaning of 'CUSTOM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CUSTOM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<ActionKind> VALUES

  A public read-only list of all the 'Action Kind' enumerators.

  ** Generated **

Method Detail

### values

    public static final ActionKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ActionKind c : ActionKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ActionKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ActionKind get(java.lang.String literal)

  Returns the 'Action Kind' literal with the specified literal value.

  ** Generated **

### getByName

    public static ActionKind getByName(java.lang.String name)

  Returns the 'Action Kind' literal with the specified name.

  ** Generated **

### get

    public static ActionKind get(int value)

  Returns the 'Action Kind' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ActionKind>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.